# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-10-08 18:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_smalluuid.models


class Migration(migrations.Migration):

    dependencies = [
        ('hordak', '0003_check_zero_amount_20160907_0921'),
        ('billing_cycle', '0004_auto_20161001_1707'),
        ('costs', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='RecurredCost',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', django_smalluuid.models.SmallUUIDField(default=django_smalluuid.models.UUIDDefault(), editable=False, unique=True)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('billing_cycle', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recurring_costs', to='billing_cycle.BillingCycle')),
            ],
        ),
        migrations.RemoveField(
            model_name='recurringcost',
            name='is_active',
        ),
        migrations.AddField(
            model_name='recurringcost',
            name='disabled',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='recurringcost',
            name='type',
            field=models.CharField(choices=[('normal', 'We will not have spent this yet. We will estimate a fixed amount per billing cycle.'), ('arrears_balance', "We will have already spent this in the previous billing cycle, so bill the account's balance."), ('arrears_transactions', 'We will have already spent this in the previous cycle, so bill the total amount spent in the previous cycle.')], default='normal', max_length=20),
        ),
        migrations.AddField(
            model_name='recurredcost',
            name='recurring_cost',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recurrences', to='costs.RecurringCost'),
        ),
        migrations.AddField(
            model_name='recurredcost',
            name='transaction',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='recurred_cost', to='hordak.Transaction'),
        ),
        migrations.AddField(
            model_name='recurringcost',
            name='transactions',
            field=models.ManyToManyField(through='costs.RecurredCost', to='hordak.Transaction'),
        ),
        migrations.AlterUniqueTogether(
            name='recurredcost',
            unique_together=set([('recurring_cost', 'billing_cycle')]),
        ),
    ]
