# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-10-09 12:09
from __future__ import unicode_literals

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('costs', '0007_auto_20161009_0106'),
    ]

    operations = [
        migrations.RunSQL(
            """
            CREATE OR REPLACE FUNCTION check_cannot_create_recurred_cost_for_disabled_cost()
                RETURNS trigger AS
            $$
            DECLARE
                recurring_cost costs_recurringcost%ROWTYPE;
            BEGIN
                SELECT INTO recurring_cost * FROM costs_recurringcost WHERE id = NEW.recurring_cost_id;

                IF recurring_cost.disabled THEN
                    RAISE EXCEPTION 'Cannot create RecurredCost for disabled RecurringCost'
                        USING ERRCODE = 'integrity_constraint_violation';
                END IF;
                RETURN NEW;
            END;
            $$
            LANGUAGE plpgsql;
            """,
            "DROP FUNCTION check_cannot_create_recurred_cost_for_disabled_cost()"
        ),
        migrations.RunSQL(
            """
            CREATE CONSTRAINT TRIGGER check_cannot_create_recurred_cost_for_disabled_cost_trigger
            AFTER INSERT ON costs_recurredcost
            DEFERRABLE INITIALLY DEFERRED
            FOR EACH ROW EXECUTE PROCEDURE check_cannot_create_recurred_cost_for_disabled_cost()
            """,
            "DROP TRIGGER check_cannot_create_recurred_cost_for_disabled_cost_trigger ON costs_recurredcost"
        )
    ]
