# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-09-24 13:17
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_smalluuid.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TransactionImport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', django_smalluuid.models.SmallUUIDField(default=django_smalluuid.models.UUIDDefault(), editable=False, unique=True)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('has_headings', models.BooleanField(verbose_name='First line of file contains headings')),
                ('file', models.FileField(upload_to='transaction_imports', verbose_name='CSV file to import')),
                ('state', models.CharField(choices=[('pending', 'Pending'), ('uploaded', 'Uploaded, ready to import'), ('done', 'Import complete')], default='pending', max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='TransactionImportField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('column_number', models.PositiveSmallIntegerField()),
                ('column_heading', models.CharField(blank=True, default='', max_length=100)),
                ('to_field', models.CharField(choices=[('date', 'Date'), ('amount', 'Amount'), ('amount_out', 'Amount (money in only)'), ('amount_in', 'Amount (money out only)'), ('description', 'Description / Notes')], max_length=20)),
                ('transaction_import', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='fields', to='transactions.TransactionImport')),
            ],
        ),
    ]
